Update Assistant
curl --request PUT \
--url https://api.staging.kathan.tech/assistants/{assistant_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-User-ID: <api-key>' \
--data '
{
"name": "<string>",
"icon": "<string>",
"system_instruction": "<string>",
"guardrails": "<string>",
"first_message": "<string>",
"voice": {
"voice_id": "<string>",
"tts_provider": "<string>",
"tts_model": "<string>",
"language": "<string>",
"speed": 1.05
},
"llm": {
"llm_provider": "<string>",
"model": "<string>"
},
"transcriber": {
"stt_provider": "<string>",
"stt_model": "<string>",
"language": "<string>"
},
"knowledge_base_ids": [
"<string>"
],
"phone_number_id": "<string>",
"assistant_speaks_first": true,
"speech_settings": {},
"long_term_memory": {
"enabled": true,
"search_limit": 123,
"search_threshold": 123,
"system_prompt": "<string>"
},
"short_term_memory": {
"enabled": true,
"search_limit": 123
},
"call_summary": {
"prompt": "<string>"
},
"recording": {
"enabled": true,
"stereo": true,
"mp3_enabled": true
},
"call_actions": {
"enabled": true,
"allow_hangup": true,
"allow_transfer": true,
"hangup_triggers": [
"<string>"
],
"transfer_triggers": [
"<string>"
],
"transfer_number": "<string>",
"confirm_required": true,
"auto_hangup_silence_seconds": 123,
"confirm_yes": [
"<string>"
],
"confirm_no": [
"<string>"
],
"webhook_url": "<string>",
"webhook_timeout_ms": 123
},
"machine_detection_timeout_seconds": 123
}
'import requests
url = "https://api.staging.kathan.tech/assistants/{assistant_id}"
payload = {
"name": "<string>",
"icon": "<string>",
"system_instruction": "<string>",
"guardrails": "<string>",
"first_message": "<string>",
"voice": {
"voice_id": "<string>",
"tts_provider": "<string>",
"tts_model": "<string>",
"language": "<string>",
"speed": 1.05
},
"llm": {
"llm_provider": "<string>",
"model": "<string>"
},
"transcriber": {
"stt_provider": "<string>",
"stt_model": "<string>",
"language": "<string>"
},
"knowledge_base_ids": ["<string>"],
"phone_number_id": "<string>",
"assistant_speaks_first": True,
"speech_settings": {},
"long_term_memory": {
"enabled": True,
"search_limit": 123,
"search_threshold": 123,
"system_prompt": "<string>"
},
"short_term_memory": {
"enabled": True,
"search_limit": 123
},
"call_summary": { "prompt": "<string>" },
"recording": {
"enabled": True,
"stereo": True,
"mp3_enabled": True
},
"call_actions": {
"enabled": True,
"allow_hangup": True,
"allow_transfer": True,
"hangup_triggers": ["<string>"],
"transfer_triggers": ["<string>"],
"transfer_number": "<string>",
"confirm_required": True,
"auto_hangup_silence_seconds": 123,
"confirm_yes": ["<string>"],
"confirm_no": ["<string>"],
"webhook_url": "<string>",
"webhook_timeout_ms": 123
},
"machine_detection_timeout_seconds": 123
}
headers = {
"Authorization": "Bearer <token>",
"X-User-ID": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {
Authorization: 'Bearer <token>',
'X-User-ID': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
name: '<string>',
icon: '<string>',
system_instruction: '<string>',
guardrails: '<string>',
first_message: '<string>',
voice: {
voice_id: '<string>',
tts_provider: '<string>',
tts_model: '<string>',
language: '<string>',
speed: 1.05
},
llm: {llm_provider: '<string>', model: '<string>'},
transcriber: {stt_provider: '<string>', stt_model: '<string>', language: '<string>'},
knowledge_base_ids: ['<string>'],
phone_number_id: '<string>',
assistant_speaks_first: true,
speech_settings: {},
long_term_memory: {
enabled: true,
search_limit: 123,
search_threshold: 123,
system_prompt: '<string>'
},
short_term_memory: {enabled: true, search_limit: 123},
call_summary: {prompt: '<string>'},
recording: {enabled: true, stereo: true, mp3_enabled: true},
call_actions: {
enabled: true,
allow_hangup: true,
allow_transfer: true,
hangup_triggers: ['<string>'],
transfer_triggers: ['<string>'],
transfer_number: '<string>',
confirm_required: true,
auto_hangup_silence_seconds: 123,
confirm_yes: ['<string>'],
confirm_no: ['<string>'],
webhook_url: '<string>',
webhook_timeout_ms: 123
},
machine_detection_timeout_seconds: 123
})
};
fetch('https://api.staging.kathan.tech/assistants/{assistant_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"name": "<string>",
"system_instruction": "<string>",
"voice": {
"voice_id": "<string>",
"tts_provider": "cartesia",
"tts_model": "sonic-3",
"language": "en",
"speed": 1
},
"llm": {
"llm_provider": "openai",
"model": "gpt-4o-mini"
},
"transcriber": {
"stt_provider": "deepgram",
"stt_model": "nova-3",
"language": "en"
},
"speech_settings": {
"style": "neutral",
"responsiveness": "balanced",
"interruptions": "on",
"emotions": "natural"
},
"long_term_memory": {
"enabled": false,
"search_limit": 5,
"search_threshold": 0.1,
"system_prompt": "Relevant, user-specific context from previous conversations:\n\n"
},
"short_term_memory": {
"enabled": false,
"search_limit": 3
},
"call_summary": {
"prompt": "<string>"
},
"recording": {
"enabled": false,
"stereo": true,
"mp3_enabled": true
},
"call_actions": {
"enabled": true,
"allow_hangup": true,
"allow_transfer": true,
"hangup_triggers": [
"<string>"
],
"transfer_triggers": [
"<string>"
],
"transfer_number": "<string>",
"transfer_mode": "cold",
"confirm_required": true,
"auto_hangup_silence_seconds": 123,
"confirm_yes": [
"<string>"
],
"confirm_no": [
"<string>"
],
"webhook_url": "<string>",
"webhook_timeout_ms": 3500
},
"icon": "📞",
"guardrails": "",
"first_message": "<string>",
"knowledge_base_ids": [],
"phone_number_id": "<string>",
"assistant_speaks_first": true,
"machine_detection_timeout_seconds": 123,
"updated_at": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Assistants
Update Assistant
PUT
/
assistants
/
{assistant_id}
Update Assistant
Authorizations
API key authentication.
Required user id for API key requests.
Path Parameters
Body
application/json
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Response
Successful Response
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Was this page helpful?
⌘I